Please use the Apache issue tracking system for new NetBeans issues ( !!
Bug 181926 - [69cat] Task List Filter UI without some labels
[69cat] Task List Filter UI without some labels
Product: platform
Classification: Unclassified
Component: Action Items
PC Linux
: P3 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
: 181259 184408 (view as bug list)
Depends on:
  Show dependency treegraph
Reported: 2010-03-12 09:07 UTC by Michel Graciano
Modified: 2010-04-23 07:24 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT

Task list filter UI (12.97 KB, image/png)
2010-03-12 09:08 UTC, Michel Graciano
added correct class for bundle properties (7.79 KB, patch)
2010-03-19 02:23 UTC, sunbiz
Details | Diff
New task list UI (14.75 KB, image/png)
2010-03-22 19:02 UTC, Michel Graciano
Simple fix for better label layout (4.20 KB, patch)
2010-03-22 19:30 UTC, Michel Graciano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Graciano 2010-03-12 09:07:47 UTC
[ BUILD # : 194f928a86b7 ]
[ JDK VERSION : 1.6.* ]

Product Version: NetBeans IDE Dev (Build 100311-194f928a86b7)
Java: 1.6.0_18; Java HotSpot(TM) Client VM 16.0-b13
System: Linux version 2.6.31-20-generic-pae running on i386; UTF-8; en_US (nb)

Take a look at attached image and see that radio buttons and buttons have no
Comment 1 Michel Graciano 2010-03-12 09:08:14 UTC
Created attachment 95096 [details]
Task list filter UI
Comment 2 Michel Graciano 2010-03-15 19:07:55 UTC
Maybe some NetFIXer [1] could take care of it if you agree.

Comment 3 Jiri Kovalsky 2010-03-16 12:33:15 UTC
Yes, Standa agrees to review and integrate potential patch coming from the NetFIX team. Adding NETFIX keyword.
Comment 4 sunbiz 2010-03-19 02:23:14 UTC
Created attachment 95406 [details]
added correct class for bundle properties
Comment 5 Jiri Kovalsky 2010-03-19 12:54:41 UTC
Stando, can you please review the patch and integrate it if you find it good
enough? Thanks!
Comment 6 Stanislav Aubrecht 2010-03-19 15:26:39 UTC
patch verified and integrated into core-main 5d2896cc969a

thanks for contributing
Comment 7 Michel Graciano 2010-03-19 17:46:51 UTC
Thanks Saptarshi for great work! It will be a pleasure verify it.
Thanks Stando for review and integration.
Comment 8 Quality Engineering 2010-03-20 06:28:25 UTC
Integrated into 'main-golden', will be available in build *201003200200* on (upload may still be in progress)
User: S. Aubrecht <>
Log: #181926  - missing labels
Comment 9 Michel Graciano 2010-03-22 19:02:08 UTC
Created attachment 95561 [details]
New task list UI

Hi people,
well the patch for this works well to the issue here described. BTW, now some labels are not fully shown as new image attached. Should I file another issue right?
Comment 10 Michel Graciano 2010-03-22 19:06:22 UTC
v. Build 100322-8d160876e56c

Just forget what I said. I just resized the window and the label shows up correctly :)
Thanks for your help and effort people!
Comment 11 Michel Graciano 2010-03-22 19:30:39 UTC
Created attachment 95562 [details]
Simple fix for better label layout
Comment 12 Michel Graciano 2010-03-22 19:33:41 UTC
Well, I could just not resist to see the current labels layout. I attached an simple patch to fix this removing the predefined size for those components. If you think I need to open an new issue, just let me know I can add the comments and patch there. Thanks.
Comment 13 Stanislav Aubrecht 2010-03-23 07:30:20 UTC
the second patch integrated (core-main b532cac3b6a8)
Comment 14 Michel Graciano 2010-03-23 16:56:53 UTC
(In reply to comment #13)
> the second patch integrated (core-main b532cac3b6a8)
Are you sure this is the correct changeset or you just don't push it yet? :)
Comment 15 Stanislav Aubrecht 2010-03-23 17:17:21 UTC
i didn't push it yet (i have some other uncommitted changes in my local repo)
Comment 16 Quality Engineering 2010-03-25 05:51:03 UTC
Integrated into 'main-golden', will be available in build *201003250201* on (upload may still be in progress)
User: S. Aubrecht <>
Log: #181926 - better layout
Comment 17 Michel Graciano 2010-03-25 15:05:08 UTC
v. Build 100325-72170af73cc0
Comment 18 Stanislav Aubrecht 2010-04-01 09:24:32 UTC
*** Bug 181259 has been marked as a duplicate of this bug. ***
Comment 19 Stanislav Aubrecht 2010-04-23 07:24:09 UTC
*** Bug 184408 has been marked as a duplicate of this bug. ***

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo